registercheckby openlaw group
API referenceDeliveries

Retrieve a delivery

GET
/deliveries/{delivery_id}

One delivery to one of your destinations. Another customer's answers 404.

Free.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Path Parameters

delivery_id*string

The delivery's id (dlv_…), as a webhook's svix-id carries it.

Match^dlv_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.registercheck.de/v1/deliveries/dlv_0bvf9w1r1a8ycjv5ccwzj6mmt7" \  -H "Authorization: Bearer $REGISTERCHECK_API_KEY"
{  "object": "delivery",  "id": "dlv_2y1x5hwyjc9e79tbrt5cy4tqkf",  "destination_id": "dst_6hq30w96je9rnrmw1tknzhwb2n",  "cadence": "instant",  "status": "pending",  "attempt_count": 0,  "events": [    {      "object": "event",      "id": "evt_0dkj5qmvty9my8pagz1terryva",      "subject": {        "object": "company",        "id": "cmp_1z3gn9wpvx9j59w8bd9w5rm72n",        "name": "string"      },      "source": {        "object": "register_entry",        "id": "rge_4x9gd2pzkf99drrf9e3w59q302",        "number": 1,        "published_on": "2019-08-24",        "text": "string"      },      "effective_date": "2019-08-24",      "created_at": "2026-09-21T10:14:02Z",      "type": "company.role.added",      "data": {        "holder": {          "object": "company",          "id": "cmp_1z3gn9wpvx9j59w8bd9w5rm72n",          "name": "string"        },        "role_type": "managing_director"      }    }  ],  "created_at": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z"}